{
	accepttext
	backtext

	Init[ (s)
	{
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(76,false,99);
		AddStaticItem(26);
		AddStaticItem(77,false,99);
		AddStaticItem(26);
		AddMenuItem(78,"JoinGame1");
		AddMenuItem(78,"JoinGame2");
		AddMenuItem(78,"JoinGame3");
		AddMenuItem(78,"JoinGame4");
		AddStaticItem(26);

		accepttext=AddFloatingTextJustify(530, 0, 195, false,32767);
                accepttext.SetFontNum(1);
		backtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		backtext.SetFontNum(1);

		MPBeginJoin();
	} ]

	HideAcceptBack[ (s)
	{
		accepttext.SetVisible(false);
		backtext.SetVisible(false);
	} ]

	ShowAcceptBack[ (s)
	{
		accepttext.SetVisible(true);
		backtext.SetVisible(true);
	} ]

	JoinGame1[ (s)
	{
		JoinGame(0);
	} ]

	JoinGame2[ (s)
	{
		JoinGame(1);
	} ]

	JoinGame3[ (s)
	{
		JoinGame(2);
	} ]

	JoinGame4[ (s)
	{
		JoinGame(3);
	} ]

	Retry[ (s)
	{
		MPBeginJoin();
	} ]

	JoinGameMenuBack[ (s)
	{
		CloseMPJoinMenu();
		//OpenMenu("MainMenu");
	} ]
}